"use strict";
var __importDefault =
  (this && this.__importDefault) ||
  function (mod) {
    return mod && mod.__esModule ? mod : { default: mod };
  };
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const constants_1 = require("../template/constants");
const deleteFolder_1 = __importDefault(require("./deleteFolder"));
function createOutputDir(baseDir, data) {
  const outputDirPath = path_1.default.join(baseDir, "./component-tree");
  if (fs_extra_1.default.existsSync(outputDirPath)) {
    deleteFolder_1.default(outputDirPath);
  }
  if (process.env.NODE_ENV === "production")
    fs_extra_1.default.mkdirSync(outputDirPath);
  fs_extra_1.default.writeFileSync(
    path_1.default.join(outputDirPath, "data.js"),
    "var data = " + data
  );
  fs_extra_1.default.writeFileSync(
    path_1.default.join(outputDirPath, "script.js"),
    constants_1.script
  );
  fs_extra_1.default.writeFileSync(
    path_1.default.join(outputDirPath, "style.css"),
    constants_1.style
  );
  fs_extra_1.default.writeFileSync(
    path_1.default.join(outputDirPath, "index.html"),
    constants_1.htmlTemplate
  );
  return outputDirPath;
}
exports.default = createOutputDir;
