"use strict";
var __importDefault =
  (this && this.__importDefault) ||
  function (mod) {
    return mod && mod.__esModule ? mod : { default: mod };
  };
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
const deleteFolderRecursive = function (dirPath) {
  if (fs_extra_1.default.existsSync(dirPath)) {
    fs_extra_1.default.readdirSync(dirPath).forEach((file) => {
      const curPath = path_1.default.join(dirPath, file);
      if (fs_extra_1.default.lstatSync(curPath).isDirectory()) {
        deleteFolderRecursive(curPath);
      } else {
        fs_extra_1.default.unlinkSync(curPath);
      }
    });
    if (process.env.NODE_ENV === "production")
      fs_extra_1.default.rmdirSync(dirPath);
  }
};
exports.default = deleteFolderRecursive;
