"use strict";
var __awaiter =
  (this && this.__awaiter) ||
  function (thisArg, _arguments, P, generator) {
    function adopt(value) {
      return value instanceof P
        ? value
        : new P(function (resolve) {
            resolve(value);
          });
    }
    return new (P || (P = Promise))(function (resolve, reject) {
      function fulfilled(value) {
        try {
          step(generator.next(value));
        } catch (e) {
          reject(e);
        }
      }
      function rejected(value) {
        try {
          step(generator["throw"](value));
        } catch (e) {
          reject(e);
        }
      }
      function step(result) {
        result.done
          ? resolve(result.value)
          : adopt(result.value).then(fulfilled, rejected);
      }
      step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
  };
var __importDefault =
  (this && this.__importDefault) ||
  function (mod) {
    return mod && mod.__esModule ? mod : { default: mod };
  };
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
function getFiles(dir) {
  return __awaiter(this, void 0, void 0, function* () {
    const dirents = yield fs_extra_1.default.readdir(dir, {
      withFileTypes: true,
    });
    const files = yield Promise.all(
      dirents.map((dirent) => {
        const res = path_1.default.resolve(dir, dirent.name);
        if (!["node_modules", ".git", "dist"].includes(dirent.name)) {
          if (dirent.isDirectory()) {
            return getFiles(res);
          } else {
            return res;
          }
        } else {
          return "";
        }
      })
    );
    return Array.prototype.concat(...files);
  });
}
exports.default = getFiles;
