"use strict";
var __importDefault =
  (this && this.__importDefault) ||
  function (mod) {
    return mod && mod.__esModule ? mod : { default: mod };
  };
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
function createFileExtentionMap(files) {
  let map = {};
  files.forEach((file) => {
    const fileNameRaw = path_1.default.basename(file);
    const name = fileNameRaw.slice(0, fileNameRaw.lastIndexOf("."));
    const extention = path_1.default.extname(fileNameRaw);
    if (![".js", ".jsx", ".ts", ".tsx"].includes(extention)) return;
    map[path_1.default.dirname(file)] = map[path_1.default.dirname(file)]
      ? [...map[path_1.default.dirname(file)], { name, extention }]
      : [{ name, extention }];
  });
  return map;
}
exports.default = createFileExtentionMap;
